Clean up TODOs.

In this commit:

* buildenv.sh: restore its state to that as of
  commit 511c35b46cead500d4e76706e0a709e50995ceba
* CommonCommandOptions.java: remove a deprecated
  no-op flag
* WindowsPathFragment.java: implement an
  ASCII-only isLetter function, use that instead
  of Character.isLetter, because the latter
  returns true for some Unicode characters too
* bazel_bootstrap_distfile_test: remove logging
  that we no longer need, since the bugfix for
  issue #3618 will be pushed to GitHub later today

Change-Id: Ibda70219e974f0c47bc82addc647d8951f4bd701
PiperOrigin-RevId: 171498977
diff --git a/scripts/bootstrap/buildenv.sh b/scripts/bootstrap/buildenv.sh
index cbb1365..9301483 100755
--- a/scripts/bootstrap/buildenv.sh
+++ b/scripts/bootstrap/buildenv.sh
@@ -161,9 +161,7 @@
   local DIR="$(mktemp -d "${tmp%%/}/bazel_XXXXXXXX")"
   mkdir -p "${DIR}"
   local DIRBASE=$(basename "${DIR}")
-  # TODO(laszlocsomor): Remove the "[ -n ... ] && echo ... ;" part from the
-  # following command after we fixed https://github.com/bazelbuild/bazel/issues/3618.
-  eval "cleanup_tempdir_${DIRBASE}() { [ -n \"\$TEST_TMPDIR\" ] && echo \"DEBUG[$0 (\$(date))] deleting ($DIR)\" ; rm -rf '${DIR}' >&/dev/null || true ; }"
+  eval "cleanup_tempdir_${DIRBASE}() { rm -rf '${DIR}' >&/dev/null || true ; }"
   atexit cleanup_tempdir_${DIRBASE}
   NEW_TMPDIR="${DIR}"
 }